it.csi.mddtools.guigen

## Interface SecurityProfile

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface SecurityProfile
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Security Profile'.

  The following features are supported:

  - `Name`
  - `Ext Auth Guard`
  - `Int Auth Guard`
  - `Id Adapter`
  - `Pep Impl`
  See Also:
    `GuigenPackage.getSecurityProfile()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalAuthenticationGuard` | `getExtAuthGuard()` Returns the value of the 'Ext Auth Guard' containment reference
    `IdentityAdapter` | `getIdAdapter()` Returns the value of the 'Id Adapter' containment reference
    `InternalAuthenticationGuard` | `getIntAuthGuard()` Returns the value of the 'Int Auth Guard' containment reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `PEPImplementation` | `getPepImpl()` Returns the value of the 'Pep Impl' containment reference
    `void` | `setExtAuthGuard(ExternalAuthenticationGuard value)` Sets the value of the '`Ext Auth Guard`' containment reference
    `void` | `setIdAdapter(IdentityAdapter value)` Sets the value of the '`Id Adapter`' containment reference
    `void` | `setIntAuthGuard(InternalAuthenticationGuard value)` Sets the value of the '`Int Auth Guard`' containment reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setPepImpl(PEPImplementation value)` Sets the value of the '`Pep Impl`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getSecurityProfile_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getExtAuthGuard

          ExternalAuthenticationGuard getExtAuthGuard()

      Returns the value of the 'Ext Auth Guard' containment reference.

      If the meaning of the 'Ext Auth Guard' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ext Auth Guard' containment reference.
      See Also:
        `setExtAuthGuard(ExternalAuthenticationGuard)`, `GuigenPackage.getSecurityProfile_ExtAuthGuard()`

    - #### setExtAuthGuard

          void setExtAuthGuard(ExternalAuthenticationGuard value)

      Sets the value of the '`Ext Auth Guard`' containment reference.
      Parameters:
        `value` - the new value of the 'Ext Auth Guard' containment reference.
      See Also:
        `getExtAuthGuard()`

    - #### getIntAuthGuard

          InternalAuthenticationGuard getIntAuthGuard()

      Returns the value of the 'Int Auth Guard' containment reference.

      If the meaning of the 'Int Auth Guard' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Int Auth Guard' containment reference.
      See Also:
        `setIntAuthGuard(InternalAuthenticationGuard)`, `GuigenPackage.getSecurityProfile_IntAuthGuard()`

    - #### setIntAuthGuard

          void setIntAuthGuard(InternalAuthenticationGuard value)

      Sets the value of the '`Int Auth Guard`' containment reference.
      Parameters:
        `value` - the new value of the 'Int Auth Guard' containment reference.
      See Also:
        `getIntAuthGuard()`

    - #### getIdAdapter

          IdentityAdapter getIdAdapter()

      Returns the value of the 'Id Adapter' containment reference.

      If the meaning of the 'Id Adapter' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id Adapter' containment reference.
      See Also:
        `setIdAdapter(IdentityAdapter)`, `GuigenPackage.getSecurityProfile_IdAdapter()`

    - #### setIdAdapter

          void setIdAdapter(IdentityAdapter value)

      Sets the value of the '`Id Adapter`' containment reference.
      Parameters:
        `value` - the new value of the 'Id Adapter' containment reference.
      See Also:
        `getIdAdapter()`

    - #### getPepImpl

          PEPImplementation getPepImpl()

      Returns the value of the 'Pep Impl' containment reference.

      If the meaning of the 'Pep Impl' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pep Impl' containment reference.
      See Also:
        `setPepImpl(PEPImplementation)`, `GuigenPackage.getSecurityProfile_PepImpl()`

    - #### setPepImpl

          void setPepImpl(PEPImplementation value)

      Sets the value of the '`Pep Impl`' containment reference.
      Parameters:
        `value` - the new value of the 'Pep Impl' containment reference.
      See Also:
        `getPepImpl()`